/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package Root;

import java.awt.*;

public class RelErrorWin extends Frame {
  Panel    area = new Panel();
  TextArea text = new TextArea(200, 200); 
  Button   closeButton = new Button ("Close");


  public Dimension preferredSize() {
    return new Dimension(220, 220);
  }

  public RelErrorWin() {
    Panel closePanel = new Panel();
    Font newFont;
    closePanel.setLayout(new FlowLayout(FlowLayout.LEFT));
    closePanel.add(closeButton);

    newFont = new Font("Courier", 
		       Font.PLAIN, 12);
    text.setFont(newFont);
    add ("North", closePanel);
    add ("Center", text);
    setTitle("Relative Error Window");
    pack();

  }

  public boolean action(Event e, Object arg) {
    if (e.target.equals(closeButton) ) {
      hide();
      return true;
    }
    return false;
  }

}
